---
title: Returns information about the calendars in your account
slug: returns-information-about-the-calendars-in-your-account
docTags: 
createdAt: 2025-01-28T10:28:11.769Z
---

{
  "id": "vHtfW-B9-MkwbgILKdprE",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.waydev.co/v2/calendars",
    "name": "Returns information about the calendars in your account",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "Authorization",
          "type": "string",
          "description": "Your PAT generated in Waydev"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "state",
          "type": "string",
          "description": "Pass \"all\" or \"selected\" for filtering purposes"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful operation",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Successful operation",
            "schema": [
              {
                "name": "count",
                "kind": "optional",
                "type": "integer",
                "example": 1
              },
              {
                "name": "values",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/definitions/CalendarItem",
                "customType": "CalendarItem[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer",
                    "example": 3857
                  },
                  {
                    "name": "identifier",
                    "kind": "optional",
                    "type": "string",
                    "example": "Demo Calendar"
                  },
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "example": "Demo Calendar"
                  },
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "example": "This is a demo calendar"
                  },
                  {
                    "name": "is_selected",
                    "kind": "optional",
                    "type": "boolean",
                    "example": true
                  },
                  {
                    "name": "provider",
                    "kind": "optional",
                    "type": "string",
                    "example": "Google Calendar"
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "bad input parameter",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "examples": {
      "languages": [
        {
          "id": "hS7MP9qn4JF1zKcSsGGGn",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.waydev.co/v2/calendars \\\n     --header 'accept: application/json' \\\n     --header 'authorization: string'"
        },
        {
          "id": "8LRWzgM3KWLjTLLJ4yyP6",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"authorization\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.waydev.co/v2/calendars\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Kt0HAO3_bGOWc6rkpgabh",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.waydev.co/v2/calendars\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"authorization\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "hzJETu6GWyucwHV9kTMEc",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.waydev.co/v2/calendars\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'authorization': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "hS7MP9qn4JF1zKcSsGGGn"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful operation\n{\n  \"count\": 1,\n  \"values\": [\n    {\n      \"id\": 3857,\n      \"identifier\": \"Demo Calendar\",\n      \"title\": \"Demo Calendar\",\n      \"description\": \"This is a demo calendar\",\n      \"is_selected\": true,\n      \"provider\": \"Google Calendar\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// bad input parameter\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}